minetest.register_node("generators:stone", {
	tiles = {"stone.png"},
	is_ground_content = false,
})
minetest.register_node("generators:water", {
	tiles = {"water.png"},
	is_ground_content = false,
	light_source = 14,
})

minetest.register_alias("mapgen_stone", "generators:stone")
minetest.register_alias("mapgen_water_source", "generators:water")

local c_air = minetest.get_content_id("air")
local c_stone = minetest.get_content_id("generators:stone")

local lb = {} -- buffer

minetest.register_on_generated(function(minp, maxp, blockseed)
	local vm, emin, emax = minetest.get_mapgen_object("voxelmanip")
	local data = vm:get_data(lb)
	local area = VoxelArea:new({MinEdge=emin, MaxEdge=emax})

	local p1 = vector.new(minp)
	local p2 = vector.new(maxp)
		
	for x = p1.x, p2.x do for y = p1.y, p2.y do for z = p1.z, p2.z do
		local p_pos = area:index(x, y, z)
		data[p_pos] = c_air
	end end end

	vm:set_data(data)
	vm:calc_lighting(emin, emax)
	vm:write_to_map()
end)
